Package org.eclipse.ecf.core.sharedobject

## Interface ISharedObjectContainerFactory

All Known Implementing Classes:
  `SharedObjectContainerFactory`

    public interface ISharedObjectContainerFactory

Factory contract for `SharedObjectContainerFactory`

### Method Summary

All Methods Instance Methods Abstract Methods
`ISharedObjectContainer` `createSharedObjectContainer​(String descriptionName)` Make ISharedObjectContainer instance.
`ISharedObjectContainer` `createSharedObjectContainer​(String descriptionName, Object[] args)` Make ISharedObjectContainer instance.
`ISharedObjectContainer` `createSharedObjectContainer​(ContainerTypeDescription desc, Object[] args)` Make ISharedObjectContainer instance.

### Method Detail

#### createSharedObjectContainer

    ISharedObjectContainer createSharedObjectContainer​(ContainerTypeDescription desc,
                                                       Object[] args)
                                                throws ContainerCreateException

Make ISharedObjectContainer instance.

Parameters:
  `desc` - the ContainerTypeDescription to use to create the instance
  `args` - an Object [] of arguments passed to the createInstance method of the IContainerInstantiator
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`

#### createSharedObjectContainer

    ISharedObjectContainer createSharedObjectContainer​(String descriptionName)
                                                throws ContainerCreateException

Make ISharedObjectContainer instance.

Parameters:
  `descriptionName` - the ContainerTypeDescription name to lookup
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`

#### createSharedObjectContainer

    ISharedObjectContainer createSharedObjectContainer​(String descriptionName,
                                                       Object[] args)
                                                throws ContainerCreateException

Make ISharedObjectContainer instance.

Parameters:
  `descriptionName` - the ContainerTypeDescription name to lookup
  `args` - the Object [] of arguments passed to the IContainerInstantiator.createInstance method
Returns:
  a valid instance of ISharedObjectContainer
Throws:
  `ContainerCreateException`